VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form Pict 
   AutoRedraw      =   -1  'True
   Caption         =   "Quadrant 1 Offset"
   ClientHeight    =   10680
   ClientLeft      =   1890
   ClientTop       =   750
   ClientWidth     =   11400
   LinkTopic       =   "Form1"
   ScaleHeight     =   712
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   760
   Begin MSComctlLib.Slider Slider1 
      Height          =   1815
      Left            =   0
      TabIndex        =   0
      Top             =   120
      Width           =   615
      _ExtentX        =   1085
      _ExtentY        =   3201
      _Version        =   393216
      BorderStyle     =   1
      Orientation     =   1
      SelStart        =   3
      Value           =   3
      TextPosition    =   1
   End
   Begin VB.Label Label4 
      AutoSize        =   -1  'True
      Caption         =   "Max  X-"
      Height          =   195
      Left            =   120
      TabIndex        =   4
      Top             =   5280
      Width           =   540
   End
   Begin VB.Label Label3 
      AutoSize        =   -1  'True
      Caption         =   "Max  X+"
      Height          =   195
      Left            =   10080
      TabIndex        =   3
      Top             =   5160
      Width           =   585
   End
   Begin VB.Label Label2 
      AutoSize        =   -1  'True
      Caption         =   "Max  Y-"
      Height          =   195
      Left            =   5160
      TabIndex        =   2
      Top             =   9480
      Width           =   540
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Max  Y+"
      Height          =   195
      Left            =   5160
      TabIndex        =   1
      Top             =   480
      Width           =   585
   End
   Begin VB.Line Line1 
      Visible         =   0   'False
      X1              =   96
      X2              =   136
      Y1              =   120
      Y2              =   128
   End
   Begin VB.Menu cmdReadout 
      Caption         =   "&Read Out"
      NegotiatePosition=   1  'Left
      Begin VB.Menu cmdClearScreen 
         Caption         =   "&Screen Clear "
      End
      Begin VB.Menu cmdClearBoth 
         Caption         =   "Clear &All"
      End
      Begin VB.Menu cmdCopyScreen 
         Caption         =   "&Copy Screen"
      End
   End
   Begin VB.Menu cmdOffSet 
      Caption         =   "&OffSet"
      Begin VB.Menu cndPlacePoint 
         Caption         =   "&PlacePoint"
      End
      Begin VB.Menu cmdZero 
         Caption         =   "&Zero Offset"
      End
   End
   Begin VB.Menu cmdAutoRedraw 
      Caption         =   "AutoRedraw True"
   End
   Begin VB.Menu mnReSize 
      Caption         =   "Resize"
      Begin VB.Menu cmdDrawOver 
         Caption         =   "DrawOver"
      End
      Begin VB.Menu cmsFC 
         Caption         =   "Fit and Center"
      End
   End
   Begin VB.Menu mnTR 
      Caption         =   "Test/Run"
   End
   Begin VB.Menu mnuFlip90 
      Caption         =   "FlipSideways"
      Begin VB.Menu mnflipped 
         Caption         =   "Flipped"
      End
   End
End
Attribute VB_Name = "Pict"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdAutoRedraw_Click()
    If Me.AutoRedraw = False Then
        Me.AutoRedraw = True
        cmdAutoRedraw.Caption = "AutoRedraw True"
    Else
        Me.AutoRedraw = False
        cmdAutoRedraw.Caption = "AutoRedraw False"
    End If
End Sub

Private Sub cmdClearBoth_Click()
    cmdClearScreen_Click
    PictIso.cmdScreenClear_Click
End Sub

Public Sub cmdClearScreen_Click()
    If Me.AutoRedraw = True Then
        Me.Cls
    Else
        Me.AutoRedraw = True
        Me.Cls
        Me.AutoRedraw = False
    End If
End Sub

Private Sub cmdCopyScreen_Click()
    Dim asd As StdPicture
    Set asd = Pict.Image
    Clipboard.Clear
    Clipboard.SetData asd, 2
    DoEvents
End Sub

Private Sub cmdDrawOver_Click()
    If Pict.cmdDrawOver.Checked = False Then
        Pict.cmdDrawOver.Checked = True
        blnDrawOver = True
    Else
        Pict.cmdDrawOver.Checked = False
        blnDrawOver = False
    End If
End Sub

Public Sub cmdZero_Click()
    DrawingOffset.PPX = 0
    DrawingOffset.PPY = 0
    SaveSetting "MemTalk", "Start_Up", "DrawingOffset_X", DrawingOffset.PPX
    SaveSetting "MemTalk", "Start_Up", "DrawingOffset_Y", DrawingOffset.PPY
    Pict.Caption = "X Offset = " & Format(DrawingOffset.PPX, "0.0###") & "  Y Offset = " & Format(-DrawingOffset.PPY, "0.0###")
End Sub

Private Sub cmsFC_Click()
    Dim offsetX2 As Single
    Dim offsetY2 As Single
    offsetX2 = Max_X_P + Max_X_N
    offsetY2 = Max_Y_P + Max_Y_N
    DrawingOffset.PPX = DrawingOffset.PPX - (offsetX2 / 2) / mult '- Max_X_P
    DrawingOffset.PPY = DrawingOffset.PPY - (offsetY2 / 2) / mult '- Max_Y_P
End Sub

Private Sub cndPlacePoint_Click()
    Line1.Visible = True
    Line1.X1 = Pict.ScaleWidth / 2
    Line1.Y1 = Pict.ScaleHeight / 2
    blnOSP = True
End Sub

Private Sub Form_Initialize()
    On Error Resume Next
    Pict.Caption = "Offsets: X" & Format(DrawingOffset.PPX, "0.0###") & " (" & Format(DrawingOffset.PPX * 2000, "#####") & ")  Y" & Format(-DrawingOffset.PPY, "0.0###") & " (" & Format(DrawingOffset.PPY * 2000, "#####") & ")"
End Sub

Private Sub Form_MouseDown(button As Integer, shift As Integer, X As Single, Y As Single)
    On Error Resume Next
    If blnOSP = True Then
        blnOSP = False
        DrawingOffset.PPX = ((Line1.X1 - Line1.X2) / (Pict.ScaleWidth * 0.5)) * 5.2 + DrawingOffset.PPX
        DrawingOffset.PPY = -((Line1.Y1 - Line1.Y2) / (Pict.ScaleHeight * 0.5)) * 5.2 + DrawingOffset.PPY
        Line1.Visible = False
        SaveSetting "MemTalk", "Start_Up", "DrawingOffset_X", DrawingOffset.PPX
        SaveSetting "MemTalk", "Start_Up", "DrawingOffset_Y", DrawingOffset.PPY
        Pict.Caption = "X Offset = " & Format(DrawingOffset.PPX, "0.0###") & "  Y Offset = " & Format(DrawingOffset.PPY, "0.0###")
        DoEvents
    End If
    mainlostfocus = True
End Sub

Private Sub Form_MouseMove(button As Integer, shift As Integer, X As Single, Y As Single)
    If blnOSP = True Then Line1.X2 = X: Line1.Y2 = Y
End Sub

Public Sub Form_Unload(Cancel As Integer)
    Unload Me
End Sub

Private Sub mnflipped_Click()
    If blnFlip90 = False Then
        blnFlip90 = True
        mnflipped.Checked = True
    Else
        blnFlip90 = False
        mnflipped.Checked = False
    End If
End Sub

Private Sub mnTR_Click()
    Mainform.cmdRunProgram_Click
End Sub

Private Sub Slider1_Change()
    'decimalXY = 0.043
    decimalXY = (Slider1.Value) * 0.00409 + 0.005  ' + 0.03
End Sub

